Skip to content

Export user data

GET
/api/export

Authorizations

bearerAuth

API token created via POST /api/tokens or the db:create-token CLI command

Type
HTTP (bearer)

Parameters

Query Parameters

format
Type
string
Valid values
"json""csv"
Default
"json"
type

Required for CSV format. Each table is a separate file.

Type
string
Valid values
"tasks""projects"

Responses

Exported data

JSON
{
"data": {
"tasks": [
{
"id": 0,
"user_id": 0,
"project_id": 0,
"title": "string",
"original_title": "string",
"done": true,
"done_at": "string",
"priority": 0,
"due_at": "string",
"rrule": "string",
"recurrence_mode": "string",
"anchor_time": "string",
"anchor_dow": 0,
"anchor_dom": 0,
"original_due_at": "string",
"auto_snooze_minutes": 0,
"deleted_at": "string",
"archived_at": "string",
"labels": [
"string"
],
"notes": "string",
"completion_count": 0,
"snooze_count": 0,
"first_completed_at": "string",
"last_completed_at": "string",
"created_at": "string",
"updated_at": "string",
"is_recurring": true,
"is_snoozed": true
}
],
"projects": [
{
"id": 0,
"name": "string",
"owner_id": 0,
"shared": true,
"sort_order": 0,
"color": "string",
"active_count": 0,
"overdue_count": 0,
"created_at": "string"
}
],
"completions": [
{
"id": 0,
"task_id": 0,
"user_id": 0,
"completed_at": "string",
"due_at_was": "string",
"due_at_next": "string"
}
],
"exported_at": "string"
}
}

Samples

Powered by VitePress OpenAPI